<template>
  <div class="app">
    <vue-headful
            title="Home"
            description="Descripción página Home"
        />
    <!-- header -->
    <section class="sect-header">
      <div class="item head_title">
          <h1>teleasistencia inmediata con los mejores especialistas</h1>
          <hr class="head-hr">
          <p class="slogan">El Covid-19 nos ha hecho tomar medidas pensando en tu seguridad</p>
          <a href="" class="button-general">Encuentra tu pack</a>
      </div>
      <div class="item head_img">
          <img src="../assets/images/seguros/home-header.png" class="head_img-size">
      </div>
    </section>
<!-- body -->
    <body>
       <!-- <section>
          <a href="#/register" target="_self">Pack Gold Pro + VideoChat / Pack Silver / Pack Basic</a>
      </section> -->

      <section>
          <carouseldoctospecialities :specialties="specialtiesAPI"/>
      </section>

      <section>
          <listdoctors :doctores="doctorsAPI" />
      </section>
      
      <section class="pack_prices">
        <div class="container_pack-1">
          <!-- pack básico -->
            <div class="pack_item container_pack-1-item">
              <h2 class="color-prime">pack Gold Pro</h2>
              <p class="slogan">para los que necesiten alguien a su lado</p>
              <p  class=" padding-top15">
                <i class="iconneed-heart-circled color-prime"></i> Todas las consultas que necesites cada mes 
              </p>
              <hr>
              <p>
                <i class="iconneed-heart-circled color-prime"></i> Video llamada directa con tu doctor 
              </p>
              <hr>
              <p>
                <i class="iconneed-heart-circled color-prime"></i> Disponible con los servicios premium de tu aseguradora 
              </p>
              <hr>
              <p>
                <i class="iconneed-heart-circled color-prime"></i> Acceso a todo el directorio médico de la plataforma 
              </p>

              <a href="#/register" class="button-prime margin-top15" v-if="showLink">Registrarse con Pak Gold Pro</a>

            </div>
        </div>
          <!-- pack básico -->

        <div class="container_pack-2">
            <div class="pack_item container_pack-2-item">
              <h2 class="color-prime">pack Silver</h2>
              <p class="slogan">una atención médica constante</p>
              <p  class=" padding-top15">
                <i class="iconneed-heart-circled color-prime"></i> Todas las consultas que necesites cada mes 
              </p>
              <hr>
              <p>
                <i class="iconneed-cancel"></i> Video llamada directa con tu doctor 
              </p>
              <hr>
              <p>
                <i class="iconneed-heart-circled color-prime"></i> Disponible con los servicios premium de tu aseguradora 
              </p>
              <hr>
              <p>
                <i class="iconneed-cancel"></i>  Acceso a todo el directorio médico de la plataforma 
              </p>
              <hr>
              <p>
                <i class="iconneed-heart-circled color-prime"></i>  Acceso a doctores de disponibilidad media y baja 
              </p>

              <a href="#/register" class="button-prime margin-top15" >Registrarse con Pak Silver</a>

            </div>
        </div>
          <!-- pack básico -->
        <div class="container_pack-3">
            <div class="pack_item container_pack-3-item">
              <h2 class="color-prime">pack Basic</h2>
              <p class="slogan">para tus preocupaciones puntuales</p>
              <p  class=" padding-top15">
                <i class="iconneed-heart-circled color-prime"></i> Todas las consultas que necesites cada mes 
              </p>
              <hr>
              <p>
                <i class="iconneed-cancel"></i> Video llamada directa con tu doctor 
              </p>
              <hr>
              <p>
                <i class="iconneed-cancel"></i> Disponible con los servicios premium de tu aseguradora 
              </p>
              <hr>
              <p>
                <i class="iconneed-cancel"></i>  Acceso a todo el directorio médico de la plataforma 
              </p>
              <hr>
              <p>
                <i class="iconneed-heart-circled color-prime"></i>  Acceso a doctores de disponibilidad baja 
              </p>

              <a href="#/register" class="button-prime margin-top15" >Registrarse con Pak Silver</a>

            </div>
        </div>
      </section>
    </body>
  
     

  </div>
</template>

<script>
import axios from 'axios';
import carouseldoctospecialities from '@/components/CarouselDoctorSpecialities.vue';
import listdoctors from '@/components/ListDoctors.vue';

export default {
  name: 'Home',
  components: {
    listdoctors,
    carouseldoctospecialities,
  },
  
  data(){
    return{
      doctorsAPI: [],
      specialtiesAPI: [],


    }
  },
  methods: {
    
    // FUNCIÓN PARA CONSEGUIR LISTADO DOCTORES
    getDoctors(){
      var self = this;
      // LLAMADA DE AXIOS AL BACKEND
      axios.get('http://localhost:3050/')   
      
      .then( function(response) {


        self.doctorsAPI = response.data.doctors 
        self.specialtiesAPI = response.data.specialties 

      })
      .catch( function (error) {
        console.log(error)
      } )
    },
  },

  created() {
    this.getDoctors()
  }

}
</script>








<style scoped>


h1 {
  padding-bottom: 1rem;
}

.sect-header {
  height: 80vh;
  display: flex;
  align-items: center;  
  padding: 0 5rem;
}

.sect-header > .item {
  flex: 1;

}
.slogan {
  font-size: var(--font-size-125);
}
.head_title {
  /* padding-top: 2.5rem; */
  /* background-color: aqua; */
  /* padding: 1rem; */
  padding-right: 100px;
}
.head_img {
  /* background-color: bisque; */
  display: flex;
  align-items: center;
  padding: 1rem;
}

.head_img-size {
  max-width: 500px;
  min-width: 40%;
}

.pack_prices{
  background-color: var(--color-general-whitesmoke);

  height: auto;
  overflow: hidden;



} 
.pack_prices > div {
  width: 100%;
}

.pack_prices > div > .pack_item{
  width: 50%;
  min-height: 300px;
  height: auto;
  overflow: hidden;
}

.container_pack-1{
  background-image: url(https://images.unsplash.com/photo-1505685679686-2490cab6217d?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=800&q=60);
  background-size: 50%;
}
.container_pack-2{
  background-image: url('../assets/images/medicos/medico03.jpg');
  background-size: cover;
}
.container_pack-3{
  background-image: url(https://images.unsplash.com/photo-1577410114274-ef015b5b6d29?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=800&q=60);
  background-size: contain;
}
.container_pack-1-item, .container_pack-3-item {
  margin-left: auto;
  padding: 3rem 3rem 3rem 5rem; 
  background-color: var(--color-general-white)
;

} 
.container_pack-2-item {
  margin-right: auto;
  PADDING-left: 20PX;
  padding: 3rem 3rem 3rem 5rem;
  background-color: var(--color-general-whitesmoke)


}
/* .container_pack-3-item {
  margin-left: auto;
} */



 @media (max-width: 720px) {
  .sect-header {
    display: flex;
    flex-direction:column-reverse;
    height: 110vh;
    padding: 0;
}
.head_title {
  padding-right: 5rem;
  padding-left: 5rem;
  padding-bottom: 5rem;
}
.head_img {
  padding: 0;
}

.head_img-size {
  max-width: 50%;
  min-width: 40%;
  padding-right: 5rem;
  padding-left: 5rem;
}
 
    }

/* fin max-whidth 720 */


 @media (max-width: 450px) {
 
   h1{
     padding-top: 3rem;
    font-size: var(--font-size-2) ;
   }
  .slogan {
    font-size: var(--font-size-0875);
  }
   .sect-header {
     height: auto;
   }
 }



</style>